#
# spec file for package kdenetwork3 (Version 3.5.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc41 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man meanwhile meanwhile-devel mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openslp-devel openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt post-build-checks procinfo procps psmisc pwdutils python qca qca-devel qt3 qt3-devel rcs readline rpm sed sgml-skel sqlite sqlite-devel strace sudo sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim wireless-tools xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           kdenetwork3
BuildRequires:  kdelibs3-devel mDNSResponder-devel meanwhile-devel openslp-devel qca-devel sqlite-devel wireless-tools
License:        GPL v2 or later
Group:          Productivity/Networking/System
Summary:        KDE Network Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        3.5.5
Release:        41.6
Provides:       kdenetwork3-lan:/opt/kde3/bin/kpf
Source0:        kdenetwork-%{version}.tar.bz2
Source1:        init.lisa
Source2:        SuSEconfig.kdenetwork-lan
Source5:        kdenetwork3-lisa.fillup
Source6:        kdenetwork3-windowmanager.fillup
Source7:        kppp.peers
Patch0:         3_5_BRANCH.diff
Patch1:         kppp-security.diff
Patch4:         external-qca.diff
Patch5:         external-sqlite.diff
Patch10:        lisa-auto-device.diff
Patch11:        kpf-slp.diff
Patch12:        relabel-zeroconf.diff
Patch13:        fix-fileshare-usage.diff
# actually, we would need a "Requires: /etc/init.d/smb" for this
#Requires:     /etc/init.d/smb
Patch15:        start-samba-on-fileshare.diff
Patch17:        hide-ugly-kcmsambaconf-icon.diff
Patch19:        wifi-without-arts.patch
Patch25:        kopete_groupwise_richtext_disable.diff
Patch26:        kopete_groupwise_SP2_keepalive.diff
Patch27:        kopete_fix_scrambling_passwords_utf8.diff
Patch28:        kopete_stop_losing_messages_r706131.diff
Patch29:        kopete_yahoo_branch_fixes.diff
Patch30:        kopete_oscar_version_update.diff
Patch31:        bug-309646_fix_yahoo_crash.diff
Patch100:       knewsticker_sources.patch
Url:            http://www.kde.org
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)

%description
Required libraries for the following packages:

kdenetwork3-chat kdenetwork3-dialup kdenetwork3-lan kdenetwork3-mail
kdenetwork3-news kdenetwork3-query



Authors:
--------
    The KDE Team <kde@kde.org>

%debug_package
%package InstantMessenger
License:        GPL v2 or later
# usesubdirs kopete
Provides:       kdenetwork3-chat:/opt/kde3/bin/kopete kopete kdenetwork3-nld-InstantMessenger
# Soft-Requires for qca-sasl for Jabber
Obsoletes:      kopete < 0.12 kdenetwork3-nld-InstantMessenger kdenetwork3-chat
Summary:        Chat applications for KDE
Group:          Productivity/Networking/IRC

%description InstantMessenger
The standard KDE application for instant messaging chat.

Kopete is an IM client with support for AOL (Oscar), ICQ, Jabber
(including Google Talk), MSN, Novell GroupWise Messenger, Yahoo,
WinPopup, and IRC.



Authors:
--------
    The KDE Team <kde@kde.org>

%package IRC
License:        GPL v2 or later
# usesubdirs ksirc
Provides:       kdenetwork3:/opt/kde3/bin/ksirc 
Provides:       kdenetwork3-chat:/opt/kde3/bin/ksirc 
Obsoletes:      kdenetwork3-chat
Requires:       perl-IO-Socket-SSL
Summary:        IRC application for KDE
Group:          Productivity/Networking/IRC

%description IRC
IRC chat application ksirc.



Authors:
--------
    The KDE Team <kde@kde.org>

%package query
License:        GPL v2 or later
# usesubdirs kdict
Provides:       kdenetwork3:/opt/kde3/bin/kdict
Summary:        Clients for Internet Databases
Group:          Productivity/Databases/Clients

%description query
KDict is a client for the Dict database. The Dict databases are
dictionaries which can be queried for free over the Internet.



Authors:
--------
    The KDE Team <kde@kde.org>

%package wireless
License:        GPL v2 or later
# usesubdirs wifi
Summary:        Wireless Card Manager
Group:          Productivity/Networking/System
Requires:       wireless-tools kdebase3
Provides:       kwifimanager
Obsoletes:      kwifimanager

%description wireless
The package contains KWiFiManager, a tool to configure wireless cards.



Authors:
--------
    The KDE Team <kde@kde.org>

%package vnc
License:        GPL v2 or later
# usesubdirs krdc krfb
Summary:        Exporting of VNC and Connecting of VNC/RDP Sessions
Group:          Productivity/Networking/System
Requires:       vnc
%if %suse_version > 1000
Recommends:     rdesktop
%endif

%description vnc
This package contains tools for VNC/RDP usage:

KRfb - to allow remote access to your current desktop. krdc - a VNC/RDP
client, it can discover remote VNC sessions via SLP or connect to
manually specified rdp:// sessions.

KRfb allows to connect to kdm-VNC sessions or to provided desktops via
KRfb.



Authors:
--------
    The KDE Team <kde@kde.org>

%package dialup
License:        GPL v2 or later
# usesubdirs kppp
Provides:       kdenetwork3:/opt/kde3/bin/kppp
Requires:       ppp
Summary:        KPPP Modem Dialing Tool
Group:          Productivity/Networking/System

%description dialup
KPPP is a tool for Internet dialup via modem.

The default tool on SuSE is KInternet, which also handles ISDN and DSL.



Authors:
--------
    The KDE Team <kde@kde.org>

%package news
License:        GPL v2 or later
# usesubdirs knode knewsticker dcoprss librss
Provides:       kdenetwork3:/opt/kde3/bin/knode
Provides:       kdenetwork3:/opt/kde3/bin/rssclient
Summary:        News-related KDE application
Group:          Productivity/Networking/News/Clients

%description news
Knewsticker is a news ticker panel applet.  For a standalone Usenet
news reader, install kdepim3.



Authors:
--------
    The KDE Team <kde@kde.org>

%package lan
License:        GPL v2 or later
# usesubdirs kxmlrpc lanbrowsing/kcmlisa lanbrowsing/kio_lan
Requires:       kdebase3 kdebase3-samba
Summary:        LAN Applications
Group:          Productivity/Networking/System

%description lan
Applications for local networks:

kio_lan: shows open services in the local network. It requires a
running LISA daemon on the network.(kdenetwork3-lisa package) kxmlrpcd:
XMLRPC-DCOP-daemon



Authors:
--------
    The KDE Team <kde@kde.org>

%package lisa
License:        GPL v2 or later
# usesubdirs lanbrowsing/lisa
Conflicts:      kdenetwork-lisa
Summary:        Network Scanner Daemon
Group:          Productivity/Networking/System
%if %suse_version < 901
PreReq:         %fillup_prereq %insserv_prereq
%endif

%description lisa
LISA scans your network for active hosts and offered services. These
services can be used in Konqueror by using the URL "lan://localhost".
You can set the variable USE_LISA to "server" in the YaST sysconfig
editor, if you want to offer these services to all your local clients.

You do not need to install KDE to use this package.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -n kdenetwork-%{version} -q
%patch -E
%patch1
%patch4
%if %suse_version > 920
rm -rf kopete/plugins/statistics/sqlite
%patch5
%endif
# this patch is entirely broken and doesn't even do anything
#%patch10
%patch11
%patch12
%patch13
#%patch14
%patch15
%patch17
%patch19
#%patch25
%patch26
%patch27
%patch28
%patch29
%patch30
%patch31
%patch100
# remove ktalkd for security reasons
rm -rf ktalkd doc/ktalkd doc/kcontrol/kcmktalkd
. /etc/opt/kde3/common_options
update_admin 

%build
. /etc/opt/kde3/common_options
%if %suse_version < 900
ac_cv_have_xmms=no \
DO_NOT_COMPILE=wifi \
%endif
%if %suse_version == 920
export CFLAGS="-fno-strict-aliasing $CFLAGS"
%endif
./configure $configkde \
    --enable-smpppd
make %{?jobs:-j%jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
kde_post_install
mkdir -p $RPM_BUILD_ROOT/etc/ppp/peers
#
# setup LISa daemons
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
mv $RPM_BUILD_ROOT/opt/kde3/bin/lisa $RPM_BUILD_ROOT/usr/sbin/lisa
ln -sf ../../../usr/sbin/lisa $RPM_BUILD_ROOT/opt/kde3/bin/lisa 
#
# Install lisa init script
mkdir -p $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 744 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/lisa
ln -sf ../../etc/init.d/lisa $RPM_BUILD_ROOT/usr/sbin/rclisa
#
# Install kdenetwork3.fillup template and lisarc
%if %suse_version < 901
FILLUP_DIR=$RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $FILLUP_DIR
install -m 0644 %SOURCE6 $FILLUP_DIR/sysconfig.windowmanager-%name
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/etc/ppp/peers/
install -m 0644 %SOURCE7 $RPM_BUILD_ROOT/etc/ppp/peers/kppp
# We have kio_slp on 9.1
install -m 0755 %SOURCE2 $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.kdenetwork-lan
%endif
cat > $RPM_BUILD_ROOT/etc/lisarc << EOF
# default configuration for local networks only
# estimate the ip address from eth0 dynamic
PingAddresses = auto-eth0/255.255.0.0;
PingNames = 
AllowedAddresses =  127.0.0.1/255.255.255.0;
# BroadcastNetwork = 127.0.0.1/255.255.255.255;
FirstWait = 30
SecondWait = -1
UpdatePeriod = 300
DeliverUnnamedHosts = 1
MaxPingsAtOnce = 64
SearchUsingNmblookup = 1
EOF
#
# kppp 
#
mkdir -p $RPM_BUILD_ROOT/etc/ppp/peers
ln -sf ppp $RPM_BUILD_ROOT/etc/ppp/peers/kppp
#
# fix security issues
# 
chmod 0755 $RPM_BUILD_ROOT/opt/kde3/bin/kppp
%suse_update_desktop_file kcmkrfb
%suse_update_desktop_file fileshare
%suse_update_desktop_file kopete          Network  InstantMessaging
%suse_update_desktop_file ksirc           Network  IRCClient
%suse_update_desktop_file Kppp            Network  Dialup
%suse_update_desktop_file kppplogview -r  System   Monitor
%suse_update_desktop_file kdict           Office   Database
%suse_update_desktop_file krdc -r         System   RemoteAccess
%suse_update_desktop_file krfb -r         System   RemoteAccess
%suse_update_desktop_file kget -r         System   TrayIcon
%if %suse_version > 820
%suse_update_desktop_file kwifimanager -r System   Network
%suse_update_desktop_file kcmwifi
%endif
%suse_update_desktop_file -u knewsticker-standalone Network  News
%suse_update_desktop_file $RPM_BUILD_ROOT/opt/kde3/share/apps/remoteview/zeroconf.desktop
rm -rf $RPM_BUILD_ROOT//opt/kde3/share/doc/HTML/en/kcontrol/kxmlrpcd
find $RPM_BUILD_ROOT/opt/kde3/share/apps/kopete/styles -name CVS \
 | xargs rm -rf

%post
%run_ldconfig
%if %suse_version > 800

%post InstantMessenger
%run_ldconfig

%post IRC
%run_ldconfig

%post lan
if test -f etc/sysconfig/lan ; then
bin/fillup -q etc/sysconfig/windowmanager etc/sysconfig/lan
rm -f etc/sysconfig/lan
fi
%{fillup_only -an windowmanager}
%run_ldconfig
%endif
%if %suse_version < 901

%preun lisa
%if %suse_version > 820
%stop_on_removal lisa
%endif

%post lisa
%{fillup_and_insserv -n lisa lisa}

%postun lisa
%if %suse_version > 820
%restart_on_update lisa
%endif
%insserv_cleanup
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files InstantMessenger
%defattr(-,root,root)
%dir /opt/kde3/share/services/kconfiguredialog
%dir /opt/kde3/%_lib/kconf_update_bin
%dir /opt/kde3/share/sounds
/opt/kde3/bin/kopete
/opt/kde3/bin/kopete_latexconvert.sh
/opt/kde3/bin/winpopup-install.sh
/opt/kde3/bin/winpopup-send.sh
/opt/kde3/share/config.kcfg/smpppdcs.kcfg
/opt/kde3/share/icons/*/*/*/kopete*
/opt/kde3/share/icons/*/*/*/account_offline_overlay.*
/opt/kde3/share/icons/*/*/*/add_user.*
/opt/kde3/share/icons/*/*/*/contact_away_overlay.*
/opt/kde3/share/icons/*/*/*/contact_busy_overlay.*
/opt/kde3/share/icons/*/*/*/contact_food_overlay.*
/opt/kde3/share/icons/*/*/*/contact_invisible_overlay.*
/opt/kde3/share/icons/*/*/*/contact_phone_overlay.*
/opt/kde3/share/icons/*/*/*/contact_xa_overlay.*
/opt/kde3/share/icons/*/*/*/delete_user.*
/opt/kde3/share/icons/*/*/*/edit_user.*
/opt/kde3/share/icons/*/*/*/emoticon.*
/opt/kde3/share/icons/*/*/*/jabber_away.*
/opt/kde3/share/icons/*/*/*/jabber_chatty.*
/opt/kde3/share/icons/*/*/*/jabber_connecting.mng
/opt/kde3/share/icons/*/*/*/jabber_gateway_aim.*
/opt/kde3/share/icons/*/*/*/jabber_gateway_gadu.*
/opt/kde3/share/icons/*/*/*/jabber_gateway_http-ws.*
/opt/kde3/share/icons/*/*/*/jabber_gateway_icq.*
/opt/kde3/share/icons/*/*/*/jabber_gateway_irc.*
/opt/kde3/share/icons/*/*/*/jabber_gateway_msn.*
/opt/kde3/share/icons/*/*/*/jabber_gateway_qq.*
/opt/kde3/share/icons/*/*/*/jabber_gateway_sms.*
/opt/kde3/share/icons/*/*/*/jabber_gateway_smtp.*
/opt/kde3/share/icons/*/*/*/jabber_gateway_tlen.*
/opt/kde3/share/icons/*/*/*/jabber_gateway_yahoo.*
/opt/kde3/share/icons/*/*/*/jabber_group.*
/opt/kde3/share/icons/*/*/*/jabber_invisible.*
/opt/kde3/share/icons/*/*/*/jabber_na.*
/opt/kde3/share/icons/*/*/*/jabber_offline.*
/opt/kde3/share/icons/*/*/*/jabber_online.*
/opt/kde3/share/icons/*/*/*/jabber_original.*
/opt/kde3/share/icons/*/*/*/jabber_protocol.*
/opt/kde3/share/icons/*/*/*/jabber_raw.*
/opt/kde3/share/icons/*/*/*/jabber_serv_off.*
/opt/kde3/share/icons/*/*/*/jabber_serv_on.*
/opt/kde3/share/icons/*/*/*/jabber_xa.*
/opt/kde3/share/icons/*/*/*/metacontact_away.*
/opt/kde3/share/icons/*/*/*/metacontact_offline.*
/opt/kde3/share/icons/*/*/*/metacontact_online.*
/opt/kde3/share/icons/*/*/*/metacontact_unknown.*
/opt/kde3/share/icons/*/*/*/newmessage.mng
/opt/kde3/share/icons/*/*/*/newmsg.*
/opt/kde3/share/icons/*/scalable/*/account_offline_overlay.*
/opt/kde3/share/icons/*/*/*/search_user.*
/opt/kde3/share/icons/*/*/*/show_offliners.*
/opt/kde3/share/icons/*/*/*/status_unknown.*
/opt/kde3/share/icons/*/*/*/status_unknown_overlay.*
/opt/kde3/share/icons/*/*/*/voicecall.*
/opt/kde3/share/icons/*/*/*/webcamreceive.*
/opt/kde3/share/icons/*/*/*/webcamsend.*
/opt/kde3/share/mimelnk/application/x-icq.desktop
/opt/kde3/share/mimelnk/application/x-kopete-emoticons.desktop
/opt/kde3/share/services/aim.protocol
/opt/kde3/share/services/irc.protocol
/opt/kde3/%_lib/libkopete*
/opt/kde3/%_lib/kde3/kcm_kopete_*
/opt/kde3/%_lib/kde3/kopete_*
/opt/kde3/%_lib/kde3/libkrichtexteditpart.*
/opt/kde3/%_lib/kde3/kio_jabberdisco.*
/opt/kde3/%_lib/kconf_update_bin/kopete-*
/opt/kde3/share/config.kcfg/historyconfig.kcfg
/opt/kde3/share/applications/kde/kopete.desktop
/opt/kde3/share/apps/kopete*
/opt/kde3/share/servicetypes/kopete*
/opt/kde3/share/services/kconfiguredialog/kopete*
/opt/kde3/share/services/kopete*.desktop
/opt/kde3/share/services/chatwindow.desktop
/opt/kde3/share/services/emailwindow.desktop
/opt/kde3/share/services/jabberdisco.protocol
/opt/kde3/share/sounds/Kopete*
/opt/kde3/share/apps/kconf_update/kopete-*
/opt/kde3/share/config.kcfg/latexconfig.kcfg
/opt/kde3/share/config.kcfg/kopete.kcfg
/opt/kde3/share/config.kcfg/kopeteidentityconfigpreferences.kcfg
/opt/kde3/share/config.kcfg/nowlisteningconfig.kcfg
%doc /opt/kde3/share/doc/HTML/en/kopete
/opt/kde3/include/kopete

%files
%defattr(-,root,root)
%dir /opt/kde3/share/applnk/.hidden
/opt/kde3/bin/feedbrowser
/opt/kde3/bin/kg*
/opt/kde3/%_lib/kde3/kpf*
/opt/kde3/%_lib/kde3/fileshare_*
/opt/kde3/%_lib/kde3/kcm_fileshare.*
/opt/kde3/%_lib/kde3/libkcm_kcmsambaconf.*
/opt/kde3/%_lib/kde3/kded_dnssdwatcher.*
/opt/kde3/%_lib/kde3/kfile_torrent.*
/opt/kde3/%_lib/kde3/kio_zeroconf.*
/opt/kde3/share/applications/kde/fileshare.desktop
/opt/kde3/share/applications/kde/kcmsambaconf.desktop
/opt/kde3/share/services/fileshare_propsdlgplugin.desktop
/opt/kde3/share/services/invitation.protocol
/opt/kde3/share/icons/*/*/*/kcmsambaconf*
%doc /opt/kde3/share/doc/HTML/en/kpf
/opt/kde3/%_lib/kde3/khtml_kget.*
/opt/kde3/share/apps/remoteview/zeroconf.desktop
/opt/kde3/share/applications/kde/kget.desktop
/opt/kde3/share/applnk/.hidden/knewstickerstub.desktop
/opt/kde3/share/apps/kg*
/opt/kde3/share/apps/kicker/applets/kpfapplet.desktop
%dir /opt/kde3/share/apps/khtml/kpartplugins
/opt/kde3/share/apps/khtml/kpartplugins/kget_plug_in.rc
/opt/kde3/share/apps/zeroconf
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kn*
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kget
%dir /opt/kde3/share/icons/*/*x*
%dir /opt/kde3/share/icons/*/*x*/*
%dir /opt/kde3/share/icons/*/scalable
%dir /opt/kde3/share/icons/*/scalable/apps
/opt/kde3/share/icons/*/*x*/*/kget.png
/opt/kde3/share/icons/*/*x*/*/kget_list.png
/opt/kde3/share/icons/*/*x*/*/khtml_kget.png
/opt/kde3/share/icons/*/*x*/*/kpf.png
/opt/kde3/share/services/kpfpropertiesdialogplugin.desktop
/opt/kde3/share/services/zeroconf.protocol
/opt/kde3/share/mimelnk/application/x-kgetlist.desktop
/opt/kde3/share/services/kfile_torrent.desktop
/opt/kde3/share/apps/khtml/kpartplugins/kget_plug_in.desktop
/opt/kde3/share/services/kded/dnssdwatcher.desktop
/opt/kde3/share/apps/konqueror/servicemenus/kget_download.desktop
/opt/kde3/share/sounds/KGet_Added.ogg
/opt/kde3/share/sounds/KGet_Finished.ogg
/opt/kde3/share/sounds/KGet_Finished_All.ogg
/opt/kde3/share/sounds/KGet_Started.ogg

%files IRC
%defattr(-,root,root)
/opt/kde3/bin/dsirc
/opt/kde3/bin/ksirc
/opt/kde3/%_lib/libkdeinit_ksirc.*
/opt/kde3/%_lib/kde3/ksirc.*
/opt/kde3/share/applications/kde/ksirc.desktop
/opt/kde3/share/apps/ksirc
%config /opt/kde3/share/config/ksircrc
/opt/kde3/share/icons/*/*x*/*/ksirc.png
%doc /opt/kde3/share/doc/HTML/en/ksirc

%files query
%defattr(-,root,root)
/opt/kde3/bin/kdict
/opt/kde3/%_lib/kde3/kdict*
/opt/kde3/%_lib/libkdeinit_kdict*
/opt/kde3/share/applications/kde/kdict.desktop
/opt/kde3/share/apps/kdict
%dir /opt/kde3/share/apps/kicker
%dir /opt/kde3/share/apps/kicker/applets
/opt/kde3/share/apps/kicker/applets/kdictapplet.desktop
/opt/kde3/share/icons/*/*/*/kdict.*
%doc /opt/kde3/share/doc/HTML/en/kdict

%files vnc
%defattr(-,root,root)
/opt/kde3/bin/kr*
/opt/kde3/%_lib/kde3/kcm_krfb.*
/opt/kde3/%_lib/kde3/kded_kinetd.*
/opt/kde3/share/apps/kr*
/opt/kde3/share/apps/kinetd
/opt/kde3/share/applications/kde/kcmkrfb.desktop
/opt/kde3/share/applications/kde/krfb.desktop
/opt/kde3/share/applications/kde/krdc.desktop
/opt/kde3/share/icons/*/*x*/*/krdc.png
/opt/kde3/share/icons/*/*x*/*/krfb.png
/opt/kde3/share/services/kded/kinetd.desktop
/opt/kde3/share/services/kinetd_krfb.desktop
/opt/kde3/share/services/kinetd_krfb_httpd.desktop
/opt/kde3/share/services/vnc.protocol
/opt/kde3/share/services/rdp.protocol
%dir /opt/kde3/share/apps/konqueror/servicemenus
/opt/kde3/share/apps/konqueror/servicemenus/smb2rdc.desktop
/opt/kde3/share/servicetypes/kinetdmodule.desktop
%doc /opt/kde3/share/doc/HTML/en/krdc
%doc /opt/kde3/share/doc/HTML/en/krfb

%files dialup
%defattr(-,root,root)
/opt/kde3/bin/kppp*
/opt/kde3/share/applications/kde/kppplogview.desktop
/opt/kde3/share/applications/kde/Kppp.desktop
/opt/kde3/share/apps/kppp
/opt/kde3/share/icons/*/*x*/*/kppp.png
/etc/ppp/peers
%doc /opt/kde3/share/doc/HTML/en/kppp

%files news
%defattr(-,root,root)
/opt/kde3/bin/kn*
/opt/kde3/bin/rssclient
/opt/kde3/bin/rssservice
/opt/kde3/%_lib/librss.*
/opt/kde3/%_lib/kde3/libkntsrcfilepropsdlg.*
/opt/kde3/%_lib/kde3/knewsticker_panelapplet.*
/opt/kde3/include/rss
/opt/kde3/share/applications/kde/knewsticker-standalone.desktop
/opt/kde3/share/apps/kconf_update/kn*
/opt/kde3/share/apps/kicker/applets/knewsticker.desktop
/opt/kde3/share/apps/knewsticker
/opt/kde3/share/icons/*/*x*/*/knewsticker.png
/opt/kde3/share/services/kntsrcfilepropsdlg.desktop
/opt/kde3/share/services/rssservice.desktop

%files lan
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/kcm_lanbrowser.*
/opt/kde3/%_lib/kde3/kio_lan.*
%dir /opt/kde3/share/apps/konqueror
/opt/kde3/share/apps/konqueror/dirtree
/opt/kde3/share/services/lan.protocol
/opt/kde3/share/services/rlan.protocol
/opt/kde3/share/applnk/.hidden/kcmlisa.desktop
/opt/kde3/share/applnk/.hidden/kcmreslisa.desktop
/opt/kde3/share/applnk/.hidden/kcmkiolan.desktop
/opt/kde3/share/apps/konqsidebartng
%dir /opt/kde3/share/apps/remoteview
/opt/kde3/share/apps/remoteview/lan.desktop
%dir /opt/kde3/share/doc/HTML/en/kcontrol
%doc /opt/kde3/share/doc/HTML/en/kcontrol/lanbrowser
%doc %lang(en) /opt/kde3/share/doc/HTML/en/lisa
%if %suse_version < 901
/var/adm/fillup-templates/sysconfig.windowmanager-%name
/sbin/conf.d/SuSEconfig.kdenetwork-lan
%endif

%files lisa
%defattr(-,root,root)
/usr/sbin/lisa
/usr/sbin/rclisa
/etc/init.d/lisa
%config(noreplace) /etc/lisarc
/opt/kde3/bin/lisa
/opt/kde3/bin/reslisa
/opt/kde3/share/apps/lisa
%if %suse_version > 820

%files wireless
%defattr(-,root,root)
/opt/kde3/bin/kwifimanager
/opt/kde3/%_lib/libkwireless.*
/opt/kde3/%_lib/kde3/kcm_wifi.*
/opt/kde3/share/apps/kwifimanager
/opt/kde3/share/apps/kicker/applets/kwireless.desktop
/opt/kde3/share/applications/kde/kcmwifi.desktop
/opt/kde3/share/applications/kde/kwifimanager.desktop
/opt/kde3/share/icons/*/*/*/kwifimanager*
%doc /opt/kde3/share/doc/HTML/en/kwifimanager
%endif

%changelog
* Sun Sep 21 2008 - wstephenson@suse.de
- Fix ICQ/AIM connect due to outdated client build number
  (bnc:405459)
- Fix Yahoo crash on login (bnc:309646)
* Sat Sep 01 2007 - wstephenson@suse.de
- Fix Yahoo crash on disconnect due to connect elsewhere,
- Make adding Yahoo contacts reliable (#283957)
* Wed Aug 29 2007 - wstephenson@suse.de
- Fix message loss after an account was disconnected with open
  chat windows (#299155)
- Fix passwords containing '!' are not stored correctly (#276521)
* Mon Feb 12 2007 - wstephenson@suse.de
- Catch crash bug when resuming and networkstatus hasn't disconnected
  GroupWise.
* Tue Feb 06 2007 - wstephenson@suse.de
- Fix sending GroupWise Messenger keepalives, as required by SP2 (#222149, #242584)
* Fri Nov 17 2006 - wstephenson@suse.de
- Start sending GroupWise Messenger keepalives, as will be required by SP2 (#222149)
* Wed Nov 08 2006 - stbinner@suse.de
- remove historic "Provides:" (#218798)
* Sun Nov 05 2006 - wstephenson@suse.de
- Improve add bookmarks security fix and fix KDE bug #116381 on autoreplace plugin
* Sun Nov 05 2006 - wstephenson@suse.de
- add KDE_3_5_BRANCH.diff:
  * Security fixes in use of khtml widget
  * Security fixes in add bookmarks plugin
  * Crash fixes in user info fetch for GroupWise protocol
  * Fix connecting to ICQ protocol
  * Automatically resize metacontact photos
* Mon Oct 23 2006 - wstephenson@suse.de
- Fix crash bug #210577, where searching contacts with multiple user info fields
  crashed Kopete
* Tue Oct 03 2006 - stbinner@suse.de
- update to 3.5.5 release tarball
* Mon Oct 02 2006 - stbinner@suse.de
- update 3.5 branch diff: changes to krdc, kopete and kget
* Fri Sep 15 2006 - wstephenson@suse.de
- Fix crash bug in Kopete GroupWise where a contact contains multiple entries
  for each user info field.
* Wed Aug 23 2006 - stbinner@suse.de
- add KDE_3_5_BRANCH.diff:
  * krdc, krfb, ksirc and wifi bugfixes
  * upstream merge of Kopete 0.12.2
* Mon Jul 24 2006 - coolo@suse.de
- update to KDE 3.5.4:
  * upstream fix for ICQ server connecting
  * several krdc bug fixes
  * kppp/lanbrowsing/kppp: add various return value checks
* Wed Jul 12 2006 - wstephenson@suse.de
- Fix ICQ server changes require version string upgrade to connect. (#191916)
* Tue Jul 11 2006 - wstephenson@suse.de
- Limit what kdenetwork3-InstantMessenger obsoletes, so we can provide
  separate kopete package.
* Wed May 24 2006 - stbinner@suse.de
- update to KDE 3.5.3
  * Kopete
    - Fix automatic spellchecking when turning off rich text
    - Prevent contacts from being added to a server side group
  called Top Level
    - Message notification in contactlist (bug #126016)
    - Fix crash for AIM (report)
    - Kopete is closing down all connections and reconnects after
  about each 1 minute (bug #101669)
    - Fix Kopete crash after change ICQ status to online.
    - Fix crash in ICQ on disconnect due to connect elsewhere.
* Mon May 15 2006 - stbinner@suse.de
- update to KDE 3.5.2 and 3_5_BRANCH.diff
  * KWiFiManager
     - Make the tray icon transparent also if numbers are not shown
* Fri Apr 28 2006 - wstephenson@suse.de
- Fix GW crash on exit bug when ignoring off-contactlist contacts
* Wed Apr 26 2006 - wstephenson@suse.de
- Fix overriding others' RTF in GW messages (#160555)
* Fri Apr 07 2006 - wstephenson@suse.de
- Fix serious GW bug where Idle status was set instead of Busy
* Mon Apr 03 2006 - wstephenson@suse.de
- Fix GW on PPC (#65393)
* Thu Mar 23 2006 - stbinner@suse.de
- add upstream patch to fix Kopete connecting to ICQ (#159846)
* Thu Mar 16 2006 - wstephenson@suse.de
- Fixes for KDE Bug #122827 (crash in ICQ on disconnect due to connect elsewhere
  GW crash on exit after add contact to top level group
  GW failure to add contacts without display name
* Mon Mar 06 2006 - stbinner@suse.de
- no "Recommends:" for older distributions
* Sat Mar 04 2006 - dmueller@suse.de
- fix category of kwifimanager (#154671)
- fix kwifimanager not finding iwlist in path (#154671)
* Fri Mar 03 2006 - wstephenson@suse.de
- complete inline add contact dialog backport from 0.12
  merge older backport patches
  reenable unsermake
* Tue Feb 21 2006 - dmueller@suse.de
- adding Recommends: rdesktop (#152461)
* Tue Feb 07 2006 - coolo@suse.de
- mark more files for translations
* Mon Feb 06 2006 - dmueller@suse.de
- build kwifimanager without arts support
* Mon Jan 30 2006 - wstephenson@suse.de
- update to branch
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 22 2006 - stbinner@suse.de
- update to 3.5.1
* Mon Jan 16 2006 - wstephenson@suse.de
- more UI improvements
* Sat Jan 14 2006 - wstephenson@suse.de
- add usability improvements from dev-0.12 branch
* Mon Jan 09 2006 - stbinner@suse.de
- update to 3_5_BRANCH
* Sat Dec 10 2005 - stbinner@suse.de
- update to 3_5_BRANCH
* Mon Nov 21 2005 - wstephenson@suse.de
- update to version 3.5 RC 2
* Thu Nov 10 2005 - stbinner@suse.de
- update to version 3.5 RC 1
* Wed Oct 19 2005 - dmueller@suse.de
- add perl-IO-Socket-SSL dependency for ssl support in ksirc
* Wed Oct 12 2005 - stbinner@suse.de
- update to version 3.4.92 (3.5 Beta 2)
* Tue Sep 27 2005 - dmueller@suse.de
- fix file clash between kdetv and kopete
* Mon Sep 26 2005 - stbinner@suse.de
- -add "fno-strict-aliasing" for 9.2 to avoid compiler warning
  files don't break with newer gcc but work fine
* Sat Sep 24 2005 - stbinner@suse.de
- add missing dir to %%files
* Sat Sep 24 2005 - dmueller@suse.de
- update to 3.4.91
* Mon Sep 12 2005 - wstephenson@suse.de
- fix crash on adding GroupWise contacts while offline.(#116532)
* Fri Sep 09 2005 - wstephenson@suse.de
- reenable 3_4_BRANCH
* Thu Aug 25 2005 - coolo@suse.de
- a 16x16 icon upscalled is really ugly. Now we reuse another
  icon, which is only half as ugly (#112724)
* Thu Aug 25 2005 - dmueller@suse.de
- add suse rss feeds to knewsticker (#53780)
* Thu Aug 18 2005 - wstephenson@suse.de
- update to current 3_4_BRANCH
  * fix Kopete bug where default plugins are not actually loaded
  * fix Kopete bug breaking GroupWise auto-away
* Sat Aug 13 2005 - dmueller@suse.de
- simplify KGet toolbar (#102986)
* Fri Aug 05 2005 - ro@suse.de
- nfb: valgrind -> valgrind2
* Fri Jul 22 2005 - wstephenson@suse.de
- update to version 3.4.2
* Tue Jul 19 2005 - wstephenson@suse.de
- fix groupwise crash when adding contacts who have messaged you (#91587)
* Sat Jul 09 2005 - dmueller@suse.de
- update code to compile against latest wireless-tools
* Tue May 24 2005 - adrian@suse.de
- update to version 3.4.1
* Sun May 22 2005 - coolo@suse.de
- fix another gcc4 problem
* Thu Apr 28 2005 - adrian@suse.de
- update to current 3_4_BRANCH
  * kopete groupwise fixes from Will
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Tue Apr 12 2005 - adrian@suse.de
- apply current BRANCH
  * fixing gcc 4 compilation
  * obsoletes kopete debug disable patch
* Wed Mar 23 2005 - adrian@suse.de
- fix fileshare funcitonality, part 2
  * do no save settings on cancel
  * be disabled by default
* Tue Mar 22 2005 - adrian@suse.de
- fix fileshare functionality (#58056)
* Mon Mar 21 2005 - adrian@suse.de
- do really disable kopete gw debug output
* Fri Mar 18 2005 - adrian@suse.de
- update to current BRANCH
  * various kopete MSN fixes
  * fix kopete crash when reopening closed tabbed chatwindows (Will)
  * fix jabber port configuration in kopete
* Mon Mar 14 2005 - adrian@suse.de
- update to current BRANCH
  * kopete crash fixes on logout (by Will)
* Sat Mar 05 2005 - adrian@suse.de
- update to 3.4.0 final
* Sat Feb 26 2005 - adrian@suse.de
- update to version 3.4.0 RC 1
* Tue Feb 22 2005 - adrian@suse.de
- update to current CVS
* Mon Feb 14 2005 - adrian@suse.de
- update from CVS
* Fri Feb 11 2005 - adrian@suse.de
- update from CVS
* Mon Feb 07 2005 - adrian@suse.de
- update to beta 2
* Tue Feb 01 2005 - ro@suse.de
- added directory to filelist
* Tue Feb 01 2005 - adrian@suse.de
- update snapshot for build fixes
* Mon Jan 31 2005 - adrian@suse.de
- update to current snapshot
- using external sqlite (fixes compiler warnings)
- disable unsermake for now, can get enabled after next update again
* Fri Jan 21 2005 - adrian@suse.de
- update to current snapshot
* Sun Jan 09 2005 - adrian@suse.de
- final 3.4 beta 1
* Thu Jan 06 2005 - coolo@suse.de
- update to KDE 3.4 beta 1
* Wed Dec 08 2004 - adrian@suse.de
- update to version 3.4 alpha 1
* Thu Dec 02 2004 - adrian@suse.de
- update kopete GW code to current state
* Tue Nov 30 2004 - adrian@suse.de
- fix build for 8.2
* Mon Nov 29 2004 - adrian@suse.de
- update to version 3.3.2
* Mon Nov 22 2004 - adrian@suse.de
- fix desktop entries really
* Wed Nov 17 2004 - adrian@suse.de
- fix desktop entries
* Fri Nov 12 2004 - adrian@suse.de
- remove dependency to xmms, our default player is amaroK now
  (disables currentListening plugin in kopete)
* Mon Oct 18 2004 - adrian@suse.de
- add smpppd kopete plugin from Heiko Schaefer.
* Tue Oct 12 2004 - adrian@suse.de
- update to version 3.3.1
* Sat Oct 02 2004 - adrian@suse.de
- add mng file from Ken for connecting to GW with kopete
* Thu Sep 30 2004 - adrian@suse.de
- fix storage of AIM password in kwallet (#45384)
- disable scripts in lisa package (#46478)
* Tue Sep 28 2004 - adrian@suse.de
- fix disable-debug patch file
* Mon Sep 27 2004 - adrian@suse.de
- update to current 3_3_BRANCH
  * translation updates only
- new icons for kopete groupwise
* Mon Sep 20 2004 - adrian@suse.de
- update to current 3_3_BRANCH
* Fri Sep 17 2004 - adrian@suse.de
- move contacts between folders got fix for kopete/GW
- start smb server on activating file sharing
* Thu Sep 16 2004 - adrian@suse.de
- fix for new kopete/GW users are always active bug
- reduce debug output
* Tue Sep 14 2004 - adrian@suse.de
- update to current BRANCH
- remove mad from nfb
* Fri Sep 10 2004 - adrian@suse.de
- further encoding fixes for kopete groupwise support for use with
  Qt 3.3.1
- fix for inviting further people to chat via DnD
* Thu Sep 09 2004 - adrian@suse.de
- update groupwise code, fixing encoding problems (by Will)
* Wed Sep 08 2004 - adrian@suse.de
- update to current 3_3_BRANCH
- groupwise messenger contact handling fixes by Will
* Mon Sep 06 2004 - adrian@suse.de
- update to current 3_3_BRANCH
  * No need for "Strg+Enter" to send messages in kopete anymore
- groupwise messenger fixes by Will
* Thu Sep 02 2004 - adrian@suse.de
- extend external-qca patch
* Mon Aug 30 2004 - adrian@suse.de
- update to current BRANCH and groupwise support
* Thu Aug 26 2004 - adrian@suse.de
- add kopete groupwise support
* Mon Aug 23 2004 - adrian@suse.de
- use xmms-lib instead of xmms in nfb
* Mon Aug 16 2004 - adrian@suse.de
- update to version 3.3.0 final
* Tue Aug 10 2004 - adrian@suse.de
- update to version 3.3.0 RC2
* Thu Aug 05 2004 - adrian@suse.de
- use external qca for kopete Jabber plugin
* Mon Jul 19 2004 - adrian@suse.de
- update to version 3.2.92 (KDE 3.3 beta 2)
* Wed Jun 30 2004 - adrian@suse.de
- update to version 3.2.91 (KDE 3.3 beta 1)
* Sat Jun 26 2004 - adrian@suse.de
- update to current 3_2_BRANCH
  * supports again the new Yahoo protocol in kopete
* Mon Jun 14 2004 - adrian@suse.de
- fix vnc requires for old distributions (reported by David Banz)
* Tue Jun 01 2004 - adrian@suse.de
- update to version 3.2.3
* Fri May 28 2004 - adrian@suse.de
- fix krfb java server, it didn't work at all
  (#41295, found by skh)
- reapply "Requires: tightvnc", it should be a Recommended
* Mon Apr 19 2004 - adrian@suse.de
- fix build with new compiler
* Wed Apr 14 2004 - adrian@suse.de
- update to version 3.2.2
* Thu Apr 01 2004 - adrian@suse.de
- krfb: remove CLOEXEC flag on socket.
  (fixes possible connection problems to krfb. b.k.o:77412)
* Tue Mar 23 2004 - adrian@suse.de
- fix build
* Tue Mar 23 2004 - adrian@suse.de
- remove tightvnc requires. It is not needed anymore with KDE 3.2
- update to 3_2_BRANCH
  * kopete protocol plugin fixes
  * minor fix in wifimanager
  * translations
* Mon Mar 15 2004 - adrian@suse.de
- fix wrong Provides: kopete
* Tue Mar 09 2004 - coolo@suse.de
- fixing start variables for lisa (#34717)
* Sun Mar 07 2004 - coolo@suse.de
- fix build on older distributions
* Mon Mar 01 2004 - coolo@suse.de
- update to version 3.2.1
* Sun Feb 29 2004 - adrian@suse.de
- move kpf to main package
- anounce kpf web servers via SLP
* Tue Feb 24 2004 - adrian@suse.de
- disable threading for kget (patch by Thomas Zell)
- add FileTransfer Categorie to kwifimanager
* Wed Feb 18 2004 - adrian@suse.de
- update to current 3_2_BRANCH
* Tue Feb 17 2004 - adrian@suse.de
- fix outdated Categories
* Mon Feb 16 2004 - adrian@suse.de
- update to current 3_2_BRANCH
- justify Categories
* Sat Feb 14 2004 - adrian@suse.de
- update to current 3_2_BRANCH
- branch -chat packge into -IRC and -InstantMessanger
- clean up -lan package, we rely on kio_slp now.
* Sat Feb 07 2004 - adrian@suse.de
- update to current BRANCH
- build wifimanager and package it into -wireless package
  (Obsoletes own kwifimanager package)
- compile kopete with valgrind support (no module unload, when
  running in valgrind)
* Thu Feb 05 2004 - adrian@suse.de
- move rss tools to -news subpackage to get kontact news plugin working
* Wed Jan 28 2004 - adrian@suse.de
- update to version 3.2.0 final
* Sun Jan 18 2004 - adrian@suse.de
- update to version 3.1.95 ( KDE 3.2 RC1 )
* Tue Jan 13 2004 - adrian@suse.de
- update to snapshot 2004011309
* Tue Dec 02 2003 - adrian@suse.de
- update to 3.1.94 ( KDE 3.2 beta 2 )
* Fri Nov 14 2003 - adrian@suse.de
- update to new snapshot from 2003102409
- fix SLP support in krdc
* Wed Oct 29 2003 - adrian@suse.de
- update to KDE 3.2 beta1
* Tue Oct 21 2003 - adrian@suse.de
- update to snapshot 2003102008
* Sun Oct 05 2003 - adrian@suse.de
- update to snapshot 2003100510
* Mon Sep 29 2003 - adrian@suse.de
- update to version 1.1.92 (KDE 3.2 alpha 2)
* Mon Sep 15 2003 - coolo@suse.de
- source correct sysconfig file
* Thu Sep 11 2003 - ro@suse.de
- move old content of sysconfig/lan to sysconfig/windowmanager
  on update
* Wed Sep 10 2003 - coolo@suse.de
- move the content of sysconfig/lan to sysconfig/windowmanager as it
  really has little to do with a LAN
- fixing crypto plugin detection
* Tue Sep 09 2003 - adrian@suse.de
- apply backports from Ingo for beta3. I guess Dirk will redo the
  3.1.4 tar ball ..
* Tue Sep 09 2003 - adrian@suse.de
- update to version 3.1.4
* Mon Sep 08 2003 - adrian@suse.de
- move knewsticker entry to DesktopUtility
- network icon on desktop with smb:/ default
- update 3_1_BRANCH.diff
- use better icon for local network
* Thu Sep 04 2003 - adrian@suse.de
- move kget icon
* Thu Sep 04 2003 - coolo@suse.de
- updating 3_1_BRANCH after fixing kmail config inconsistencies
  in there
* Mon Sep 01 2003 - adrian@suse.de
- fix Categories
* Wed Aug 20 2003 - adrian@suse.de
- remove the prevent_kmail_from_moving.diff
  (better fix happened with 3.1.3)
* Thu Aug 14 2003 - adrian@suse.de
- Require: tightvnc, instead of vnc on > 8.2
* Thu Aug 14 2003 - adrian@suse.de
- add ServiceRestart: to sysconfig
* Wed Aug 13 2003 - adrian@suse.de
- fix Requires (only kdenetwork-dialup needs ppp)
- conflict with wrong cryptplug packages on lib64 systems
- apply current 3_1_BRANCH
* Tue Aug 12 2003 - adrian@suse.de
- justify Categories
* Tue Aug 05 2003 - adrian@suse.de
- fix invalid "Mail" Category (Email)
* Tue Aug 05 2003 - adrian@suse.de
- fix Categories
* Tue Jul 29 2003 - adrian@suse.de
- restart lisa daemon on rpm update
* Fri Jul 25 2003 - adrian@suse.de
- fix build for < 8.1
- add Categories
* Thu Jul 17 2003 - adrian@suse.de
- update to version 3.1.3
* Fri Jun 27 2003 - ro@suse.de
- fix postinstall for kdenetwork-lan
* Mon Jun 16 2003 - coolo@suse.de
- package directories
* Thu May 22 2003 - coolo@suse.de
- fix docu packaging
* Tue May 13 2003 - coolo@suse.de
- handle the charset correctly in kmailcvt
* Thu May 08 2003 - adrian@suse.de
- update to version 3.1.2
* Wed May 07 2003 - adrian@suse.de
- fix lisa-auto-device.diff (was a zero bytes file)
* Tue Apr 22 2003 - adrian@suse.de
- fixes gpg handling, if no gpg-agent is running (#26141)
* Fri Apr 18 2003 - adrian@suse.de
- drop SuSEconfig.lisa and apply patch to change ip at runtime
  (fixes problem when IP changes at runtime)
* Wed Apr 02 2003 - adrian@suse.de
- fix the prevent_kmail_from_moving.diff patch
* Wed Apr 02 2003 - adrian@suse.de
- fix lan:/ url to lan://
* Fri Mar 28 2003 - adrian@suse.de
- add SuSEconfig script to set default {,r}lan:/ service
  depending on sysconfig
* Fri Mar 28 2003 - adrian@suse.de
- prevent kmail from removing a local folder when using with IMAP
  (based on coolo's patch)
* Wed Mar 12 2003 - meissner@suse.de
- Use krdc (vncviewer) from KDE HEAD, fixed one additional
  image pointer. krdc was not working before, this was one
  at least works. #25138
* Tue Mar 11 2003 - adrian@suse.de
- update to 3.1.1, try 2
* Mon Mar 03 2003 - adrian@suse.de
- update to 3.1.1
* Thu Feb 27 2003 - coolo@suse.de
- updating 3_1_BRANCH with a couple of fixes
* Wed Feb 19 2003 - meissner@suse.de
- fix DCOP calls to enable krfb and krfb_httpd #23707
* Fri Feb 07 2003 - adrian@suse.de
- add microhttpd for vnc from Marcus
* Wed Feb 05 2003 - adrian@suse.de
- update KDE_3_1_BRANCH patch
- add patch from Waldo to be able to print single attachments
  with 3.1 (#bobbele1)
* Mon Feb 03 2003 - adrian@suse.de
- add KDE_3_1_BRANCH patch
* Thu Jan 30 2003 - adrian@suse.de
- split -vnc package
* Fri Jan 17 2003 - adrian@suse.de
- use RC7-try2 tar ball
* Wed Jan 15 2003 - adrian@suse.de
- update to RC7
- add meta data for fillup
* Tue Jan 07 2003 - adrian@suse.de
- update to RC6
* Mon Nov 25 2002 - adrian@suse.de
- update to RC5
* Wed Nov 20 2002 - adrian@suse.de
- update to version 3.1-RC4 (final ?)
* Sun Nov 03 2002 - adrian@suse.de
- update to version 1.1.0.20021030 ~= RC1
* Fri Oct 11 2002 - adrian@suse.de
- add missing /etc/ppp/peers/kppp to file list
* Tue Oct 08 2002 - adrian@suse.de
- update to version 3.0.4
* Wed Sep 04 2002 - adrian@suse.de
- add bigendian fix from waldo
* Mon Sep 02 2002 - coolo@suse.de
- fixing kmail's default config for real
* Sat Aug 31 2002 - adrian@suse.de
- add security fix from okir for the lan_browser client and
  lisa daemon
- fix support for fish/ssh protocol
* Fri Aug 30 2002 - adrian@suse.de
- apply fix for hangup if a empty line is in /etc/lisarc
- do not write empty lines anymore ;)
- init script fixes
- add %%insserv_prereq to PreReq for -lisa package
- improve lisarc generation in general
- do not allow more than a class C anymore, lisa is not able
  to handle it
- enable samba scan only if nmblookup is present
* Wed Aug 14 2002 - coolo@suse.de
- fixing kmail problems (#17708 and most likely also #17709)
* Mon Aug 12 2002 - kukuk@suse.de
- lisa.init: Use $time instead of xntpd in Required-Start
* Thu Aug 08 2002 - adrian@suse.de
- update to version 3.0.3
- add %%run_ldconfig
* Tue Aug 06 2002 - adrian@suse.de
- fix PreRequires
* Wed Jul 31 2002 - adrian@suse.de
- remove Requirement to samba-client (obsolete)
- use current 3_0_BRANCH
  * remove knode.dif (obsolete)
* Tue Jul 16 2002 - coolo@suse.de
- add fix for knode crashing on missing group name
* Sat Jul 06 2002 - adrian@suse.de
- add missing Provides: update from KDE 2
* Fri Jul 05 2002 - adrian@suse.de
- split package into subpackages -mail, -news, -query, -chat,
  -dialup and -lan. (lisa and devel was already splitted)
- fix SuSEconfig.lisa script for /etc/sysconfig configurations
* Mon Jul 01 2002 - adrian@suse.de
- fix kdenewsticker start path, if $KDEDIR is not set
* Tue Jun 25 2002 - adrian@suse.de
- update to version 3.0.2
* Sun Jun 09 2002 - ro@suse.de
- use update_admin and new common_options
* Wed May 22 2002 - adrian@suse.de
- remove ktalkd for security reasons
* Fri May 10 2002 - adrian@suse.de
- update to 3.0.1
* Tue May 07 2002 - meissner@suse.de
- %%_lib fixes, generic KDE fixes applied.
* Fri Apr 26 2002 - coolo@suse.de
- adding 3.0 branch patch with e.g. kmail fixes
* Mon Mar 25 2002 - adrian@suse.de
- 3.0 final, second try of tar ball
* Mon Mar 25 2002 - adrian@suse.de
- update to 3.0 final :)
* Thu Mar 21 2002 - adrian@suse.de
- update to 3.0rc3
* Mon Mar 11 2002 - ro@suse.de
- adapted DEFAULT_NEWSSOURCES for knewsticker
* Sun Mar 10 2002 - adrian@suse.de
- update to 3.0rc2
* Mon Mar 04 2002 - adrian@suse.de
- update to 3.0rc1
* Mon Feb 25 2002 - adrian@suse.de
- update to snapshot 2.92.2002022512
* Mon Feb 18 2002 - adrian@suse.de
- update to snapshot 2.92.2002021810
* Fri Feb 15 2002 - adrian@suse.de
- update to snapshot 2.92.2002021421
* Mon Feb 11 2002 - adrian@suse.de
- update to snapshot 2.92.2002021111
* Fri Feb 08 2002 - arvin@suse.de
- updated kppp-security.dif
* Wed Feb 06 2002 - adrian@suse.de
- update to version 2.92 (KDE 3.0 beta 2)
- use common_compile_flags
* Mon Jan 28 2002 - adrian@suse.de
- update to snapshot 2.91.2002012811
* Wed Jan 23 2002 - adrian@suse.de
- update to snapshot 2.91.2002012221
* Thu Jan 10 2002 - adrian@suse.de
- update to version 2.91.20020110
* Tue Dec 18 2001 - adrian@suse.de
- update to version 2.91 (3.0 beta1)
* Wed Nov 14 2001 - adrian@suse.de
- update to version 2.2.2
* Mon Nov 12 2001 - ro@suse.de
- use kde2-devel-packages in neededforbuild
* Sun Sep 23 2001 - adrian@suse.de
- add fix for kmail from cvs. On failing pop account caused all
  others to fail.
* Tue Sep 18 2001 - adrian@suse.de
- add Requires: samba-client to kdenetwork-lisa
* Tue Sep 11 2001 - adrian@suse.de
- update to second try of 2.2.1 tar balls
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1
* Mon Aug 06 2001 - adrian@suse.de
- update to 2.2 final
* Thu Aug 02 2001 - adrian@suse.de
- 2.2pre1
* Fri Jun 29 2001 - adrian@suse.de
- 2.2beta1
* Tue Apr 17 2001 - adrian@suse.de
- 2.2alpha1
* Mon Apr 09 2001 - ro@suse.de
- fixed spec
* Sun Apr 08 2001 - adrian@suse.de
- -O2 for alpha
  update to current KDE_2_1_BRANCH (kppp fix)
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Thu Mar 22 2001 - adrian@suse.de
- Obsolete kmailcvt
* Wed Mar 21 2001 - adrian@suse.de
- update to 2.1.1 (official tar ball)
* Mon Mar 19 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - adrian@suse.de
- update to final 2.1.0
* Wed Feb 14 2001 - adrian@suse.de
- update to 2.1 post beta 2
* Mon Feb 12 2001 - ro@suse.de
- fix compilation
* Sun Jan 07 2001 - adrian@suse.de
- change icon handling
* Sun Dec 17 2000 - adrian@suse.de
- fix icon file conflicts
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Thu Nov 16 2000 - adrian@suse.de
- New version from KDE_2_0_BRANCH
* Thu Nov 02 2000 - adrian@suse.de
- fixed file list
* Wed Oct 25 2000 - adrian@suse.de
- added kppp security patch (not set uid root anymore needed)
  passwordfd dif from arvin
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4 / 1.93
* Sat Jul 29 2000 - adrian@suse.de
- fixed kmail seg fault at startup
* Sat Jul 22 2000 - adrian@suse.de
- update to beta 3
* Tue Jul 18 2000 - adrian@suse.de
- compile fix
* Tue Jul 18 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Sun Jul 09 2000 - adrian@suse.de
- update to snapshot from 06.07.2000
* Fri Jun 09 2000 - adrian@suse.de
- update to 1.91; beta 2
* Tue Jun 06 2000 - adrian@suse.de
- snapshot from 06.06.2000
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000
  new type of spec file
* Fri May 12 2000 - adrian@suse.de
- Spec file created from kdenetwork-1.90.tar.gz by autospec
